PDA

Afficher la version complète : Erreur Polkit



Dji_Pih
22/04/2010, 15h53
Bonjour à tous,

J'ai installé y a qq jours openSUSE 11.2 depuis le DVD avec WDM et XFCE. Depuis l'ajout de dépôt suplémentaires (PackMan, vlc, openoffice en priorité 95) et certainement d'ajout et de mises à jour logicielles, je rencontre des problèmes, exemples :

- plus d'autorisation pour l'audio
- impossible de monter un périph USB : erreur "org.freedesktop.storage.mount-removable no <--(action, result)"
- impossible de redémarrer (ou d'arrêter ) : erreur "org.freedesktop.hal.power-management.reboot auth-admin <--(action, result)"

D'après qq recherches, je pense que le problème est lié à Polkit. Cela ressemble étrangement à cela (http://%5bopensuse%5d%20Strange%20&quot;PermissionDeniedByPoli cy&quot;%20Problem%20with%2011.1)

J'ai déjà fait :
- ajout de mon user dans les groupes audio, disk, cdrom, polkituser : je n'appartenais à plus aucun groupe !!! => no result pour polkit :(, mais audio OK :)
- désactivation de polkit_default_privs (=no) dans sysconfig => no result pour polkit :(
- "sudo polkit-action --reset-defaults org.freedesktop.hal.storage.mount-removable" => no result pour l'USB

Comment remettre à plat les bons paramêtres :huh:
Sinon, quelle incidence si on supprime polkit :unsure:

Merci d'avance pour vos conseils et réponses ;)

Dji_Pih
23/04/2010, 11h25
Salux,

Bon, ça progresse : j'arrive à monter un périph USB :) , c'est bien ce P****N de Polkit qui a perdu les paramètres de base :angry:

Voilà la commande pour permettre au user djipih de monter un périph USB :

sudo polkit-auth --user djipih --grant org.freedesktop.hal.storage.mount-removable

Bon, sauf que je ne connais pas tous les paramètres, et j'aimerais rétablir tous les problèmes pour tous les users... B)

:unsure: Peut-être voir avec gconf-polkit ? Mais il n'apparaît dans l'installateur de paquet ! Sachant que je suis sous XFCE, est-ce que je peux l'installer tout de même ?